Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class SchemaGrammar.BuiltinSchemaGrammar

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.SchemaGrammar
            |
            +--weblogic.apache.xerces.impl.xs.SchemaGrammar.BuiltinSchemaGrammar

public static class SchemaGrammar.BuiltinSchemaGrammar
extends SchemaGrammar

Inner classes inherited from class weblogic.apache.xerces.impl.xs.SchemaGrammar
`SchemaGrammar.BuiltinSchemaGrammar`

Fields inherited from class weblogic.apache.xerces.impl.xs.SchemaGrammar
`fAnySimpleType, fAnyType, SG_SchemaNS, SG_XSI`

Constructor Summary
`SchemaGrammar.BuiltinSchemaGrammar(int grammar)` Special constructor to create the grammars for the schema namespaces

Method Summary
`void` | `addComplexTypeDecl(XSComplexTypeDecl decl, weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)`
`void` | `addDocument(java.lang.Object document, java.lang.String location)`
`void` | `addGlobalAttributeDecl(XSAttributeDecl decl)`
`void` | `addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl)`
`void` | `addGlobalElementDecl(XSElementDecl decl)`
`void` | `addGlobalGroupDecl(XSGroupDecl decl)`
`void` | `addGlobalNotationDecl(XSNotationDecl decl)`
`void` | `addGlobalTypeDecl(XSTypeDecl decl)`
`void` | `addRedefinedGroupDecl(XSGroupDecl derived, XSGroupDecl base, weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)`
`XMLGrammarDescription` | `getGrammarDescription()`
`void` | `setImportedGrammars(java.util.Vector importedGrammars)`

Methods inherited from class weblogic.apache.xerces.impl.xs.SchemaGrammar
`addIDConstraintDecl, getAttributeDecl, getAttributeGroup, getComponents, getDocumentLocations, getDocuments, getElementDecl, getGlobalAttributeDecl, getGlobalAttributeGroupDecl, getGlobalElementDecl, getGlobalGroupDecl, getGlobalNotationDecl, getGlobalTypeDecl, getIDConstraintDecl, getImportedGrammars, getModelGroupDefinition, getNotationDecl, getSchemaNamespace, getTargetNamespace, getTypeDefinition, isNamespaceAware, toXSModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaGrammar.BuiltinSchemaGrammar

    public SchemaGrammar.BuiltinSchemaGrammar(int grammar)

  Special constructor to create the grammars for the schema namespaces

  Parameters:
    `grammar` -

Method Detail

### getGrammarDescription

    public XMLGrammarDescription getGrammarDescription()

  Overrides:
    getGrammarDescription in class SchemaGrammar

### setImportedGrammars

    public void setImportedGrammars(java.util.Vector importedGrammars)

  Overrides:
    setImportedGrammars in class SchemaGrammar

### addGlobalAttributeDecl

    public void addGlobalAttributeDecl(XSAttributeDecl decl)

  Overrides:
    addGlobalAttributeDecl in class SchemaGrammar

### addGlobalAttributeGroupDecl

    public void addGlobalAttributeGroupDecl(XSAttributeGroupDecl decl)

  Overrides:
    addGlobalAttributeGroupDecl in class SchemaGrammar

### addGlobalElementDecl

    public void addGlobalElementDecl(XSElementDecl decl)

  Overrides:
    addGlobalElementDecl in class SchemaGrammar

### addGlobalGroupDecl

    public void addGlobalGroupDecl(XSGroupDecl decl)

  Overrides:
    addGlobalGroupDecl in class SchemaGrammar

### addGlobalNotationDecl

    public void addGlobalNotationDecl(XSNotationDecl decl)

  Overrides:
    addGlobalNotationDecl in class SchemaGrammar

### addGlobalTypeDecl

    public void addGlobalTypeDecl(XSTypeDecl decl)

  Overrides:
    addGlobalTypeDecl in class SchemaGrammar

### addComplexTypeDecl

    public void addComplexTypeDecl(XSComplexTypeDecl decl,
                                   weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)

  Overrides:
    addComplexTypeDecl in class SchemaGrammar

### addRedefinedGroupDecl

    public void addRedefinedGroupDecl(XSGroupDecl derived,
                                      XSGroupDecl base,
                                      weblogic.apache.xerces.impl.xs.util.SimpleLocator locator)

  Overrides:
    addRedefinedGroupDecl in class SchemaGrammar

### addDocument

    public void addDocument(java.lang.Object document,
                            java.lang.String location)

  Overrides:
    addDocument in class SchemaGrammar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD